Create a run
curl --request POST \
--url https://api.push.ai/api/v1/agents/{agent_id}/runs \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"parameter_bindings": [
{
"name": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.push.ai/api/v1/agents/{agent_id}/runs"
payload = { "parameter_bindings": [
{
"name": "<string>",
"value": "<string>"
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({parameter_bindings: [{name: '<string>', value: '<string>'}]})
};
fetch('https://api.push.ai/api/v1/agents/{agent_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Runs
Create a run
Invoke a published agent asynchronously. Returns a run ID that you can poll for status and results.
Pass ?dry_run=true to preview the compiled prompt without executing.
POST
/
agents
/
{agent_id}
/
runs
Create a run
Authorizations
Organization API key. Create one in the Push AI dashboard under Settings → API Keys.
Path Parameters
The ID of the agent to invoke.
Query Parameters
If true, returns the compiled prompt and parameters without executing the agent.
Body
application/json
Optional parameter values to bind for this run. Each entry maps a parameter name to a value.
Show child attributes
Show child attributes
⌘I

